@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300&family=Croissant+One&family=Fuggles&family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;1,100;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;


}

body {
    font-family: "Comfortaa", sans-serif;
    background-color: #f0f0f0;
}

header {
    text-align: center;

}



header h1 {
    font-size: 25px;
    font-weight: 200;
    padding: 5px;
}

header h2 {
    font-size: 3.5em;
    color: #666;
    margin-top: 10px;
    /* Añadir un espacio entre los dos textos */
}

main {
    padding: 3px;
}

.header-circle img {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background-size: cover;
    background-position: center;
    margin-right: 10px;
    object-fit: cover;
}

.header-circle {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.username {
    margin-top: 10px;
}

.icon-container {
    display: flex;
    justify-content: space-around;
    width: 10%;
    margin-top: 5px;
    padding: 10px
}

.icon {
    text-align: center;
    position: relative;
    display: inline-block;
    flex-direction: column;
    align-items: center;
}

.icon i {
    font-size: 24px;
    color: #979797;
}



.icon i:hover {
    transform: scale(1.2);
    /* Hace el icono un 20% más grande */
    color: rgb(44, 44, 44);
    /* Cambia el color del icono a azul */
}

.icon .icon-text {
    position: absolute;
    top: -8px;
    right: -8px;
    background-color: red;
    color: white;
    border-radius: 50%;
    padding: 2px 6px;
    font-size: 12px;
}


.grid-container {
    display: flex;
    overflow: hidden;
    width: 100%;
    position: relative;
}

.grid-items {
    display: flex;
    transition: transform 1s ease;
    width: 300%;
}

.grid-item {
    flex: 1 0 33.3333%;
    box-sizing: border-box;
    padding: 10px;
}

.grid-item img {
    width: 100%;
    max-height: 500px;
    object-fit: cover;
    border-radius: 8px 8px 0 0;
    border-bottom: 1px solid #ddd;
}

.post-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.user-info {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}

.profile-pic {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-size: cover;
    background-position: center;
    margin-right: 10px;
}

.username-info {
    display: flex;
    flex-direction: column;
}

.username {
    font-weight: bold;
}

.user-handle {
    color: #666;
}

.actions {
    display: flex;
    align-items: center;
}

.actions i {
    margin-right: 10px;
    color: #666;
    cursor: pointer;
}

.like-btn.active {
    color: #ff2d55;
}
.bookmark-btn.active{
    color: #b48c0a;
}
.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 20px;
    margin: 0 auto;
    max-width: 1200px;
    
}



.grid-title {
    text-align: center;
    margin-bottom: 20px;
    margin-top: 40px;
    font-size: 24px;
    color: #333;
    font-weight: bold;
   
}


.other-images-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 1%;
}

.main-container2 {
    margin: 1.6rem 0.8rem;
}

.grid-container2 {
    margin: auto;
    display: grid;
    grid-gap: 1.1312rem;
    grid-template-columns: repeat(auto-fit, 12.8rem);
    grid-auto-rows: 12.8rem;
    grid-auto-flow: dense;
    justify-content: center;
    max-width: 75em;
}



.card__image {
    height: 100%;
    max-height: 100%;
    width: 100%;
    display: flex;

}

.card__image img {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    width: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 1%;
    cursor: pointer;
    transition: transform 0.2s; 
}

.card__image img:hover {
    transform: scale(1.05); 
}

.card__side-by-side {
    height: 100%;
    width: 100%;
    display: flex;
    flex-flow: row nowrap;
}

.card__side-by-side--m {
    height: 100%;
    width: 100%;
    display: flex;
    flex-flow: column nowrap;
}

.card__side-by-side--m img {
    min-height: auto;
}

.card__content {
    padding: 1.6rem;
}

.card__button {
    margin: 1.6rem 0;
    text-align: center;
    padding: 0.8rem 1.6rem;
    background: none;
    border: 0.5px solid #777;
    border-radius: 2px;
}

.card__button:hover {
    border-color: #d099a0;
}

.card--featured {
    grid-row: auto/span 3;
    grid-column: auto/span 2;
}

.card--2x {
    grid-row: auto/span 2;
    grid-column: auto/span 2;
}

.card--vertical {
    grid-row: auto/span 2;
}

.card--horizontal {
    grid-column: auto/span 2;
}

.card--frameless {
    background-color: transparent;
    box-shadow: none;
}

.padding-large {
    padding: 3.2rem;
}

.padding-large--l {
    padding: 1.6rem;
}

.big-script {
    height: 100%;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    font-family: "Comfortaa", sans-serif;
    font-size: 4.3em;
    line-height: 1.15em;
    text-align: center;
}

.big-script p {
    margin: 0;
}

.fade-in {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.fade-in.visible {
    opacity: 1;
}

.card__image {
    position: relative;
}

.heart-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgba(255, 0, 0, 0.345);
    font-size: 24px;
    z-index: 1;
}


@media (max-width: 412px) {
    .grid-container {
        grid-template-columns: 1fr 1fr;
        grid-auto-rows: auto;
    }

    .card {
        min-height: 12.8rem;
    }
    .icon-container {
        width: 50%;
    }
    
.grid-title {
    text-align: left;
    font-size: 18px;
    font-weight: lighter;
}
.grid-item {
    flex: 1%;
    box-sizing: border-box;
    padding: 4px;
    margin: 10px;
}

.grid-item img {
    width: 63%;
    max-height: 500px;
    object-fit: cover;
    border-radius: 8px 8px 0 0;
    border-bottom: 1px solid #ddd;
}


}

@media (min-width: 627px) {
    .grid-container {
        grid-gap: 1.6rem;
    }

    .card__side-by-side--m {
        flex-flow: row nowrap;
    }

    .card__side-by-side--m img {
        min-height: 100%;
    }

    .card--featured {
        grid-row: auto/span 2;
        grid-column: 1/-1;
    }
}

@media (min-width: 836px) {
    .padding-large--l {
        padding: 3.2rem;
    }
}
